Skip to main content
POST
/
api
/
admin
/
merchantaccounts
/
{id}
/
group
AddMerchantAccountToGroup
curl --request POST \
  --url https://test.paysight.io/api/admin/merchantaccounts/{id}/group \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groupId": 123,
  "merchantAccountId": 123,
  "weight": 123,
  "immediateAutoWeighting": true,
  "parentCompanyId": 123
}
'
{
  "success": true,
  "message": "<string>",
  "group": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.paysight.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Paysight API key. You can find it in your Paysight account at https://app.paysight.io/settings/account

Path Parameters

id
integer
required

Body

application/json
groupId
integer
required
merchantAccountId
integer
required
weight
integer
required
immediateAutoWeighting
boolean
required
parentCompanyId
integer
required

Response

200 - application/json

Merchant account added to group

success
boolean
message
string
group
object